SND_SOC_DAPM_NC_PIN_(9)

NAME
snd_soc_dapm_nc_pin_unlocked - permanently disable pin.

SYNOPSIS

int snd_soc_dapm_nc_pin_unlocked(struct snd_soc_dapm_context * dapm, const char * pin);

ARGUMENTS

dapm
    DAPM context

pin
    pin name

DESCRIPTION

Marks the specified pin as being not connected, disabling it along any parent or child widgets. At present this is identical to snd_soc_dapm_disable_pin but in future it will be extended to do additional things such as disabling controls which only affect paths through the pin.

Requires external locking.

NOTE

snd_soc_dapm_sync needs to be called after this for DAPM to do any widget power switching.

COPYRIGHT